Search found 50 matches

by SarenT
Fri Dec 15, 2023 2:01 am
Forum: Help on using FreeCAD
Topic: Reusable Features in Part Design
Replies: 33
Views: 6373

Re: Reusable Features in Part Design

A feature is not a stand alone solid, so you need something like Lattice2 to provide the functionality in Part Design. In a way a body is a recipe of features with internal references. A feature can as well be a part of a recipe. A set of operations, which are floating (not belonging to a body) and...
by SarenT
Fri Dec 15, 2023 1:51 am
Forum: Help on using FreeCAD
Topic: Reusable Features in Part Design
Replies: 33
Views: 6373

Re: Reusable Features in Part Design

... This idea would be difficult on projects other than flat plate. I would say in general, FreeCAD doesn't allow you to reuse features. If the referencing to the parent body can be defined in a clean way, then it would be easy to implement, as FreeCAD would only have to repeat the same process, as...
by SarenT
Fri Dec 15, 2023 12:24 am
Forum: Help on using FreeCAD
Topic: Reusable Features in Part Design
Replies: 33
Views: 6373

Re: Reusable Features in Part Design

The Lattice2 workbench allows for repeating a PD Feature at an array of locations. https://github.com/DeepSOIC/Lattice2/wiki/PartDesign-Pattern-Tutorial Thanks, this is indeed useful but I would like to be able to place features on arbitrary locations (not defined by array). Idea is that e.g. makin...
by SarenT
Thu Dec 14, 2023 4:05 pm
Forum: Help on using FreeCAD
Topic: Reusable Features in Part Design
Replies: 33
Views: 6373

Re: Reusable Features in Part Design

Hi there,
sorry for bumping up an old topic. I will then move on submitting a feature request for this and link this thread. Thanks for all the inputs.
Edit: I am not sure if the github page accepts feature requests.
by SarenT
Sat Sep 09, 2023 9:47 am
Forum: Python scripting and macros
Topic: Centering a text on an arbitrary face
Replies: 7
Views: 779

Re: Centering a text on an arbitrary face

I will give it a try!
by SarenT
Tue Sep 05, 2023 6:22 am
Forum: Python scripting and macros
Topic: Centering a text on an arbitrary face
Replies: 7
Views: 779

Re: Centering a text on an arbitrary face

Interestingly, it does not center well (particularly visible with larger numbers. I will still have to shift it manually.
by SarenT
Tue Sep 05, 2023 6:05 am
Forum: Python scripting and macros
Topic: Part Face Vertexes and Part Vertexes differ
Replies: 1
Views: 237

Part Face Vertexes and Part Vertexes differ

Hi, I am puzzled by the vertexes objects of parts and vertexes objects of the faces of that part. If I create a part cube and then run the following in the console: cube = doc.getObjectsByLabel('Cube')[0] [cube.Shape.Vertexes.index(v) for v in cube.Shape.Faces[0].Vertexes] I get this error: Tracebac...
by SarenT
Sun Sep 03, 2023 10:24 pm
Forum: Python scripting and macros
Topic: Centering a text on an arbitrary face
Replies: 7
Views: 779

Re: Centering a text on an arbitrary face

I have just found out about the draft plane:

Code: Select all

FreeCAD.DraftWorkingPlane.alignToFace(face)
FreeCADGui.Snapper.setGrid()
This will probably solve the alignment issue but not the rotation issue. Work in progress.
by SarenT
Sun Sep 03, 2023 9:01 pm
Forum: Python scripting and macros
Topic: Centering a text on an arbitrary face
Replies: 7
Views: 779

Centering a text on an arbitrary face

Hi, I am quite puzzled about this. I used the Polyhedrons macro (available in the Addon Manager) to create a Tetrahedron (lets call it tetra). I would like to label each face with a number using a Macro. I have tried the following: By iterating over all tetra.Shape.Faces I generate a ShapeString and...